<div class="preprocessings-container">
  <app-preprocessing-trigger-creation
  [tissues]="tissues$ | ngrxPush"
  [stains]="stains$ | ngrxPush"
  [apps]="appList$ | ngrxPush"
  (postTrigger)="onPostTrigger($event)"
  (selectedTissue)="onTissueSelection($event)"
  (selectedStain)="onStainSelection($event)">
  </app-preprocessing-trigger-creation>
  <mat-divider></mat-divider>
  <app-preprocessing-trigger-list
  [triggers]="triggers$ | ngrxPush"
  (removeTrigger)="onTriggerRemove($event)">
  </app-preprocessing-trigger-list>
</div>
